Subject: Re: weird hanging problems with cygwin v1.1.2
From: "Terry Lincoln" <[email-masked]>
To: "John Pollock" <[email-masked]>, "Larry Hall \(RFK Partners, Inc\)" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 16 Jun 2000 21:17:07 -0400

That might have something to do with a mail that was sent a few
months ago dealing with NTSEC and startup time.

Corinna had added code to enable NT security and it required that
the security authority provide credentials on the user that was
logged in for permission setting.

IIRC, she fixed it so that the information was cached after the
first request.  But ICBW :-)

The long delay would obviously be due to WinDoze not timing out
in a reasonable way...

I hope this is helpful,

Terry Lincoln

----- Original Message -----
From: "John Pollock" <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, June 16, 2000 3:34 PM
Subject: RE: weird hanging problems with cygwin v1.1.2

> no, 'cause i had turned off Norton AntiVirus prior to my 2nd round of
> experimentation.  There are, however, a few interesting things which i've
> plucked out using filemon.exe:
>
>
> 3:08:28 PM LSASS.EXE IRP_MJ_CREATE \NTCURLDEV\PIPE\lsarpc SUCCESS
> Attributes: Any Options: Open
> 3:08:28 PM LSASS.EXE IRP_MJ_SET_INFORMATION \NTCURLDEV\PIPE\lsarpc SUCCESS
> FilePipeInformation
> 3:08:28 PM LSASS.EXE FSCTL_PIPE_TRANSCEIVE \NTCURLDEV\PIPE\lsarpc SUCCESS
> WriteLen: 72 ReadLen: 1024
> 3:08:28 PM LSASS.EXE FSCTL_PIPE_TRANSCEIVE \NTCURLDEV\PIPE\lsarpc SUCCESS
> WriteLen: 92 ReadLen: 1024
>
>
> "NTCURLDEV" is the name of the NT domain to which my machine belongs.
It's
> been down for days, which isn't a problem because i log in as a local user
> to my NT box.  However, filemon shows that each time i run a cygwin tool
> like ls, cygwin is doing something network-related, even when i'm doing an
> ls of a local disk (C:).  Same with rm.  I just got the domain back up
again
> and the delays appear to have disappeared.  This is disturbing, tho; why
are
> these commands network-dependent at all?  This wasn't the case with the
> previous version of cygwin i was using (b20)
>
> There's also mention in the filemon log about scans of c:\etc\passwd
(there
> for sshd purposes) and i'm not sure why that's getting looked at either.
>
> John
> -----Original Message-----
> From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
> Sent: Friday, June 16, 2000 2:42 PM
> To: John Pollock
> Subject: Re: weird hanging problems with cygwin v1.1.2
>
>
> At 02:34 PM 6/16/2000, you wrote:
> >Hey there,
> >
> >i upgraded to the latest version of cygwin 1.1.2 (using setup -u as of
> >yesterday) on an NT 4.0 SP6 box and have had a weird problem where
commands
> >like ls and rm hang for 20 seconds or so before executing.  However, they
> >don't do this consistently, either.  I know that a variation of this
> problem
> >was fixed a few versions ago where commands would hang from bash every
> >single time they were run, but this appears to be a different problem.
The
> >thing is, the commands hang regardless of whether i run from bash or from
a
> >DOS prompt, and again they don't hang every time.   Repeating the same
hung
> >command immediately after the hang usually causes the command to execute
> >immediately.  Strange! Any ideas?
> >
> >Thanks much!
> >John
>
>
>
> Is there a Virus software (like McAffee) conflict?
>
>
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 118 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX
>
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]